package com.tanpu.fund.entity.generator;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "tamp_fund.tx_fund_distribution")
public class TxFundDistribution {
    /**
     * ID
     */
    @TableField(value = "id")
    private Long id;

    /**
     * 最原始版本基金id
     */
    @TableField(value = "fund_id")
    private Long fundId;

    @TableField(value = "fund_code")
    private String fundCode;

    /**
     * 中文名称缩写
     */
    @TableField(value = "fund_short_name")
    private String fundShortName;

    /**
     * 信息发布日期
     */
    @TableField(value = "ann_date")
    private Date annDate;

    /**
     * 权益登记日
     */
    @TableField(value = "register_date")
    private Date registerDate;

    /**
     * 发放日
     */
    @TableField(value = "distribute_date")
    private Date distributeDate;

    /**
     * 除权日
     */
    @TableField(value = "ex_date")
    private Date exDate;

    /**
     * 红利再投资日
     */
    @TableField(value = "confirm_date")
    private Date confirmDate;

    @TableField(value = "distribution")
    private BigDecimal distribution;

    /**
     * 修改日期
     */
    @TableField(value = "update_time")
    private Date updateTime;

    @TableField(value = "delete_tag")
    private Integer deleteTag;

    @TableField(value = "distribute_type")
    private byte[] distributeType;

    @TableField(value = "create_by")
    private byte[] createBy;

    @TableField(value = "create_time")
    private byte[] createTime;

    @TableField(value = "update_by")
    private byte[] updateBy;

    @TableField(value = "org_id")
    private byte[] orgId;

    @TableField(value = "org")
    private byte[] org;
}